// tiparo
@import made-tommy
@import simboloj

// bulma
$violkolora: #5500d4
$rozkolora: #ff0066
$family-sans-serif: "MADE Tommy", sans-serif
@import ../../vendor/bulma/sass/utilities/initial-variables
@import ../../vendor/bulma/sass/utilities/derived-variables
$body-font-size: 16pt
$scheme-main: transparent
$scheme-main-bis: transparent
$code: $red
$code-background: transparent
$link: $text
$link-hover: $text-strong
// box
$box-background-color: transparentize($text-invert, .5)
$box-link-hover-shadow: $black-ter 0 2px 8px
// card
$card-content-background-color: $box-background-color
$card-shadow: $box-link-hover-shadow
$card-radius: .5rem
// navbar
$navbar-height: 5rem
$navbar-item-hover-color: $text-strong
$navbar-item-img-max-height: 4rem
$navbar-tab-hover-border-bottom-color: mix($violkolora, $rozkolora)
$navbar-tab-active-color: $white
$navbar-tab-active-border-bottom-style: none
@import ../../vendor/bulma/sass/utilities/_all
@import ../../vendor/bulma/sass/base/_all
@import ../../vendor/bulma/sass/components/card
@import ../../vendor/bulma/sass/components/navbar
@import ../../vendor/bulma/sass/elements/box
@import ../../vendor/bulma/sass/elements/button
@import ../../vendor/bulma/sass/elements/container
@import ../../vendor/bulma/sass/elements/content
@import ../../vendor/bulma/sass/elements/icon
@import ../../vendor/bulma/sass/elements/image
@import ../../vendor/bulma/sass/elements/other
@import ../../vendor/bulma/sass/grid/columns
@import ../../vendor/bulma/sass/helpers/float
@import ../../vendor/bulma/sass/helpers/typography
@import ../../vendor/bulma/sass/layout/footer
@import ../../vendor/bulma/sass/layout/section

h1
    text-transform: uppercase
h2
    font-variant: small-caps
hr
    background: linear-gradient(to right, $violkolora, $rozkolora)
    opacity: .8

$fa-font-path: "tiparoj"
@import ../../vendor/Font-Awesome/scss/fontawesome
@import ../../vendor/Font-Awesome/scss/solid
@import ../../vendor/Font-Awesome/scss/brands

$discord: #5865f2
$twitter: #1d9bf0
$telegram: #0c9ebf
$retpoŝto: #ea4335
$ligiloj: "discord" $discord, "twitter" $twitter, "telegram" $telegram, "at" $retpoŝto

$sqrt3: 1.732 // libsass ne enhavas la matematikan biblioteko
$heksagono-larĝo: 64px

html
    min-height: calc(100vh)

body
    display: flex
    flex-direction: column
    @include desktop
        background-attachment: fixed
    @include tablet
        background-size: cover
    min-height: calc(100vh)

.navbar
    font-size: $size-4
    font-weight: $weight-medium
    text-align: center

.navbar-brand>.navbar-item
    font-size: $size-1
    white-space: nowrap
    @include mobile
        font-size: $size-4
    img
        margin-right: $gap/2
        @include mobile
            margin-right: $gap/3
            max-height: 3rem
            width: 48px

.navbar-end
    padding: 1rem .5rem

.navbar-item.is-tab
    border-bottom-width: 4px
    font-weight: $weight-normal
    min-height: 0
    text-shadow: transparentize($text-invert, .5) .5px .5px 2px
    @include touch
        border-bottom-width: 0
    @include desktop
        margin: 0 2px
    &.is-active
        background: linear-gradient(to bottom, $violkolora, $rozkolora)
        border-radius: $radius
        text-shadow: none
    &.etoso:hover
        border-bottom-color: transparent

.button.etoso
    background: transparentize(grey, .8)
    border: none
    height: 2em
    padding: 0 1em
    .hela
        color: $yellow
        text-shadow: $yellow 0 0 8px
    .malhela
        color: $white
        text-shadow: $white 0 0 8px

footer
    text-align: center
    font-size: $size-3
    font-weight: $weight-bold
    .columns
        margin: $gap 0
    .column
        max-width: $heksagono-larĝo
        margin: 0 $gap/2
        padding: 0
        @include mobile
            margin: 0 8px
    ul a
        display: block
        height: $heksagono-larĝo
        transform: translate(0, 0px)
        transition: transform .2s $easing
        &:hover
            transform: translate(0, -4px)
            .ombro
                filter: blur(4px)
    i
        color: $white
        position: absolute
    .heksagono
        &, &::before, &::after
            position: absolute
            display: block
            width: $heksagono-larĝo
            height: round($heksagono-larĝo / $sqrt3)
            content: " "
        &::before
            transform: rotate(60deg)
        &::after
            transform: rotate(120deg)
    .ombro
        &, &::before, &::after
            background: $black
            transition: filter .2s $easing
    .icon
        --fa-display: inline-flex
        left: round($heksagono-larĝo - 48px) / 2
        top: round($heksagono-larĝo / $sqrt3 - 48px) / 2

    @each $name, $color in $ligiloj
        a
            .#{$name}
                &, &::before, &::after
                    background: $color
            &:hover .#{$name}
                &, &::before, &::after
                    background: darken($color, 1)
    div:last-child
        font-size: $size-6
        line-height: 1

@import ĉefpaĝo
@import novaĵoj
@import regularo
@import mapo
@import ekludi
@import elŝuti
